###Prelim Project
###Paul Jean-Marie
### 2PM Friday section



library(zoo)

accident <- read.csv('2018NHTSA.csv')

#Imputation and Recoding
#TRAV_SP
accident$TRAV_SP <- ifelse(accident$TRAV_SP == 999, NA, accident$TRAV_SP)
accident$TRAV_SP <- na.locf(accident$TRAV_SP)

#DOA
accident$DOA <- ifelse(accident$DOA == 0, 0, 1)
accident$DOA <- factor(accident$DOA)

#AGE
accident$AGE <- ifelse(accident$AGE == 999, NA, accident$AGE)
accident$AGE <- na.locf(accident$AGE)
accident$AGE <- ifelse(accident$AGE >= 90, 90, accident$AGE)

#SPEEDREL
accident$SPEEDREL <- ifelse(accident$SPEEDREL == 999, NA, accident$SPEEDREL)
accident$SPEEDREL <- na.locf(accident$SPEEDREL)
accident$SPEEDREL <- ifelse(accident$SPEEDREL == 0, 0, 1)
accident$SPEEDREL <- factor(accident$SPEEDREL)

#INJ_SEV
accident$INJ_SEV <- ifelse(accident$INJ_SEV == 999, NA, accident$INJ_SEV)
accident$INJ_SEV <- na.locf(accident$INJ_SEV)
accident$INJ_SEV <- factor(accident$INJ_SEV)

#Plots
plot(accident$AGE, accident$TRAV_SP, ylab = 'Travel Speed Before Accident', xlab = 'Age', main = 'Age Vs Travel Speed' )

boxplot(accident$TRAV_SP ~ accident$SPEEDREL, xlab = 'Whether Speeding or Not', ylab = 'Travel Speed Before Accident', main = 'Speeding Vs Last Travel Speed')

boxplot(accident$TRAV_SP ~ accident$INJ_SEV, xlab = 'Severeity of Injury', ylab = 'Travel Speed Before Accident', main = 'Severity of Injury Vs Last Travel Speed')

boxplot(accident$AGE ~ accident$DOA, xlab = 'Whether died or not', ylab = 'Age of the driver')

table1 <- table(accident$DOA, accident$SPEEDREL)
proptable <- prop.table(table1, margin=2)

barplot(proptable, beside=TRUE, xlab = 'Raced or Not', main = 'Death Vs Racing' )

table1 <- table(accident$DOA, accident$INJ_SEV)
proptable <- prop.table(table1, margin=2)

barplot(proptable, beside=TRUE, xlab = 'Died or Not', main = 'Death Vs Racing' )

